Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Sun, 20 Sep 2015 11:54:09 +0200

> I just hope I didn't confuse you with the "screen coordinates" stuff. From
 > an Emacs users point of view (and from the point of view of elisp) the
 > UPPER LEFT corner is 0x0 -- as it is on every other system. The fact that
 > OS X see everything from the lower left corner is handled by internally by
 > "nsterm.m".

I guessed so but wanted your confirmation.

 > Hence, there is no need to mention this in the manual.
 >
 > "Flipping" mean that the coordinate system is mirrored, in some way. I
 > guess it could be used to set the upper left as the origin, but I'm not
 > that into OS X to tell you how that is done and what other consequences
 > that would have for the Emacs code base.
 >
 > Unfortunately, I have no idea why it worked in 24.5 and why it didn't in
 > 25. There has been a lot of changes along the way, so one would have to
 > inspect each one to see what changed, and why.

No need to investigate if it works now.  Hopefully we can count on you
when we see similar problems.  After Jan's resignation we need all the
help we can get.

Many thanks, martin